import { Overlay, OverlayPositionBuilder } from '@angular/cdk/overlay';
import { ComponentFactoryResolver, OnInit, Type } from '@angular/core';
import { Observable } from 'rxjs';
import { RTriggerStrategyBuilderService } from '../../../cdk/overlay/overlay-trigger';
import { RCalendarTimeModelService, RDateService } from '../../extra/calendar-kit';
import { RCalendarWithTimeComponent } from './calendar-with-time.component';
import { RBasePickerComponent } from './datepicker.component';
export declare class RDateTimePickerComponent<D> extends RBasePickerComponent<D, D, RCalendarWithTimeComponent<D>> implements OnInit {
    protected calendarWithTimeModelService: RCalendarTimeModelService<D>;
    protected pickerClass: Type<RCalendarWithTimeComponent<D>>;
    get value(): any;
    set value(date: any);
    step: number;
    title: string;
    applyButtonText: string;
    currentTimeButtonText: string;
    get twelveHoursFormat(): boolean;
    set twelveHoursFormat(value: boolean);
    _twelveHoursFormat: boolean;
    static ngAcceptInputType_twelveHoursFormat: any;
    get withSeconds(): boolean;
    set withSeconds(value: boolean);
    _withSeconds: boolean;
    static ngAcceptInputType_withSeconds: any;
    get singleColumn(): boolean;
    set singleColumn(value: boolean);
    _singleColumn: boolean;
    static ngAcceptInputType_singleColumn: any;
    constructor(document: any, positionBuilder: OverlayPositionBuilder, triggerStrategyBuilder: RTriggerStrategyBuilderService, overlay: Overlay, cfr: ComponentFactoryResolver, dateService: RDateService<D>, dateServiceOptions: any, calendarWithTimeModelService: RCalendarTimeModelService<D>);
    ngOnInit(): void;
    protected patchWithInputs(): void;
    protected get pickerValueChange(): Observable<any>;
    protected writeQueue(): void;
    protected buildTimeFormat(): string;
}
